aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJulien Roy <julien@jroy.ca>2023-01-10 23:13:35 -0500
committerJulien Roy <julien@jroy.ca>2023-01-10 23:13:35 -0500
commitf5d7c92a5ed9395507c9fe968c5faef1cb1ea069 (patch)
tree2f91c30d71c1e832808464f28728842486d6e3ec
parent554acc730d0fe24d171d2562f808064458a2fab3 (diff)
downloadMrRoy-Overlay-f5d7c92a5ed9395507c9fe968c5faef1cb1ea069.tar.gz
MrRoy-Overlay-f5d7c92a5ed9395507c9fe968c5faef1cb1ea069.tar.bz2
MrRoy-Overlay-f5d7c92a5ed9395507c9fe968c5faef1cb1ea069.zip
gui-wm/hyprland: new package, add 0.20.1
Signed-off-by: Julien Roy <julien@jroy.ca>
-rw-r--r--gui-wm/hyprland/Manifest3
-rw-r--r--gui-wm/hyprland/hyprland-0.20.1.ebuild77
-rw-r--r--gui-wm/hyprland/metadata.xml16
3 files changed, 96 insertions, 0 deletions
diff --git a/gui-wm/hyprland/Manifest b/gui-wm/hyprland/Manifest
new file mode 100644
index 0000000..93b660d
--- /dev/null
+++ b/gui-wm/hyprland/Manifest
@@ -0,0 +1,3 @@
+DIST hyprland-0.20.1.tar.gz 708773 BLAKE2B 9ade26890c269d36212ca7eee4946d152a222cdbd67e508e10a61b2bc3f63eff36a3a385b90126db951aa6a83568342fc91cd1e3cdc3ed40516e3b31acef07b8 SHA512 37f7d1279f4b1d8e441842287dd812e5118d0a54a7e660cb1035970c8b651f889292e8bd065f019a79397e99a0c160aa55375709b7357ef888ca02d6cd273d6a
+DIST hyprland-protocols.tar.gz 4858 BLAKE2B 565532803fe6975efdba621c9ef69e4a7c18f040a65818e9f0f61d1dda15a3927f4aca25972989172554d5be5332f014d57dc8e1d0bb207ea5ba64aaec0e65f2 SHA512 03e176149fb0749f63fc58aea1175bfed92f0a30895d17e022ebdf9bb6f786e3a1018244379d0a6d205c590b25eccba0d7bea273bb389dd1031fad3d8467ef23
+DIST wlr.tar.bz2 448534 BLAKE2B 35ff3e316ce5fa5d444e623597fdc61f143aa07440b8821faecc131aa5376b4ed691e84511ef438dfe4d429941d09fe0ab2d403414fd6a91e54a5bef890a4d68 SHA512 98af3902be681b11989f7d0c3b147ef3e4ef27dd377dd74b4e2a5151be1eeb0ff99d7738f2be4050116a7233820b0bb4f581ae0229d44043bfbd0f6af59108d4
diff --git a/gui-wm/hyprland/hyprland-0.20.1.ebuild b/gui-wm/hyprland/hyprland-0.20.1.ebuild
new file mode 100644
index 0000000..d1e437b
--- /dev/null
+++ b/gui-wm/hyprland/hyprland-0.20.1.ebuild
@@ -0,0 +1,77 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake toolchain-funcs
+
+DESCRIPTION="A dynamic tiling Wayland compositor that doesn't sacrifice on its looks"
+HOMEPAGE="https://github.com/hyprwm/Hyprland/releases"
+
+if [[ "${PV}" == *9999* ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/hyprwm/Hyprland"
+else
+ PROTOCOMMIT=301733ae466b229066ba15a53e6d8b91c5dcef5b
+ WLRCOMMIT=dc7cc98cf21a8dc19ab8895505500e3700646af0
+ SRC_URI="https://github.com/hyprwm/Hyprland/archive/v${PV}beta.tar.gz -> ${P}.tar.gz
+ https://github.com/hyprwm/hyprland-protocols/archive/${PROTOCOMMIT}.tar.gz -> hyprland-protocols.tar.gz
+ https://gitlab.freedesktop.org/wlroots/wlroots/-/archive/${WLRCOMMIT}/wlroots-${WLRCOMMIT}.tar.bz2 -> wlr.tar.bz2"
+ KEYWORDS="~amd64"
+ S="${WORKDIR}/Hyprland-${PV}beta"
+fi
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="X systemd"
+
+RDEPEND="
+ dev-libs/libevdev
+ dev-libs/libinput
+ dev-libs/wayland
+ >=dev-libs/wayland-protocols-1.31
+ dev-utils/glslang
+ dev-util/vulkan-headers
+ dev-util/wayland-scanner
+ gui-libs/gtk-layer-shell
+ media-libs/libglvnd[X?]
+ media-libs/mesa[gles2,wayland,X?]
+ media-libs/vulkan-loader
+ sys-apps/hwdata
+ sys-auth/seatd
+ x11-base/xcb-proto
+ x11-libs/cairo
+ x11-libs/libdrm
+ x11-libs/libxkbcommon
+ x11-libs/pixman
+ virtual/libudev
+ X? (
+ x11-base/xwayland
+ x11-libs/libxcb
+ x11-libs/xcb-util-image
+ x11-libs/xcb-util-wm
+ )
+"
+DEPEND="${RDEPEND}"
+
+src_unpack() {
+ default
+
+ if [[ "${PV}" != *9999* ]]; then
+ rmdir "${S}/subprojects/wlroots"
+ rmdir "${S}/subprojects/hyprland-protocols"
+ mv "${WORKDIR}/wlroots-${WLRCOMMIT}" "${S}/subprojects/wlroots" || die
+ mv "${WORKDIR}/hyprland-protocols-${PROTOCOMMIT}" "${S}/subprojects/hyprland-protocols" || die
+ fi
+}
+
+src_configure() {
+ if ! (tc-is-gcc && [[ $(gcc-major-version) -ge 12 ]] && [[ $(gcc-minor-version) -ge 1 ]]) \
+ && ! (tc-is-clang && [[ $(clang-major-version) -ge 15 ]]); then
+ die "Hyprland requires >=sys-devel/gcc-12.1.0 or >=sys-devel/clang-15.0.0 to build"
+ fi
+
+ mycmakeargs+=( -DNO_XWAYLAND:STRING=$(usex X false true) )
+ mycmakeargs+=( -DNO_SYSTEMD:STRING=$(usex systemd false true) )
+ cmake_src_configure
+}
diff --git a/gui-wm/hyprland/metadata.xml b/gui-wm/hyprland/metadata.xml
new file mode 100644
index 0000000..88aac4f
--- /dev/null
+++ b/gui-wm/hyprland/metadata.xml
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>julien@jroy.ca</email>
+ <name>Julien Roy</name>
+ </maintainer>
+ <upstream>
+ <changelog>https://github.com/hyprwm/Hyprland/releases</changelog>
+ <doc>https://wiki.hyprland.org/</doc>
+ <bugs-to>https://github.com/hyprwm/Hyprland/issues</bugs-to>
+ <remote-id type="github">hyprwm/Hyprland</remote-id>
+ <remote-id type="github">hyprwm/hyprland-protocols</remote-id>
+ <remote-id type="freedesktop-gitlab">wlroots/wlroots</remote-id>
+ </upstream>
+</pkgmetadata>